Road User Tools エージェント & API プラットフォーム
タイヤ空気圧を変換
ポンド毎平方インチ、バール、キロパスカルの間で変換します。
インターフェース
POST
REST エンドポイント
/api/v1/pressure/convertMCP
ツール名
convert_pressureリクエスト
リクエストを JSON として送信します。 MCP クライアントは、同じフィールドをツール引数として渡します。
cURLshell
curl -X POST https://roaduser.tools/api/v1/pressure/convert \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "content-type: application/json" \
-d '{
"value": 32,
"from": "psi",
"to": "bar"
}'リクエストボディjson
{
"value": 32,
"from": "psi",
"to": "bar"
}応答
REST は、計算結果を標準の成功エンベロープにラップします。 MCP は、構造化ツールの出力と同じ計算データを返します。
JSON
{
"ok": true,
"data": {
"input": {
"value": 32,
"from": "psi",
"to": "bar"
},
"conversions": {
"psi": 32,
"bar": 2.2063223338137603,
"kpa": 220.632233381376
},
"result": 2.2063223338137603
}
}{
"ok": false,
"error": {
"code": "invalid_request",
"message": "Invalid request input."
}
}スキーマ
以下の定義は、入力の検証と出力の説明に使用される完全な JSON スキーマを示しています。
入力スキーマ
{
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number",
"description": "Pressure value to convert. Must be finite and non-negative."
},
"from": {
"type": "string",
"enum": [
"psi",
"bar",
"kpa"
],
"description": "Input pressure unit."
},
"to": {
"type": "string",
"enum": [
"psi",
"bar",
"kpa"
],
"description": "Optional target unit. When omitted, all units are returned."
}
},
"required": [
"value",
"from"
]
}出力スキーマ
{
"type": "object",
"additionalProperties": false,
"properties": {
"input": {
"type": "object",
"additionalProperties": false,
"properties": {
"value": {
"type": "number"
},
"from": {
"type": "string",
"enum": [
"psi",
"bar",
"kpa"
]
},
"to": {
"type": "string",
"enum": [
"psi",
"bar",
"kpa"
]
}
},
"required": [
"value",
"from"
]
},
"conversions": {
"type": "object",
"additionalProperties": false,
"properties": {
"psi": {
"type": "number"
},
"bar": {
"type": "number"
},
"kpa": {
"type": "number"
}
},
"required": [
"psi",
"bar",
"kpa"
]
},
"result": {
"type": "number",
"description": "Target-unit result when a target unit is supplied."
}
},
"required": [
"input",
"conversions"
]
}